1. v2 · Own
StudioIntern API Doc
  • v1 · Public
    • List courses
      GET
    • Get course schedule
      GET
    • Get upcoming events and holidays
      GET
    • List upcoming course restarts
      GET
    • List SI Summer courses
      GET
    • Get studio email signature
      GET
    • List course plans
      GET
    • List tariffs
      GET
    • Register applicant / contact form (v1)
      POST
  • v1 · Customer
    • Customer login
      POST
    • Customer logout
      GET
    • Get authenticated customer profile
      GET
    • Update or delete customer password
      POST
    • Get course IDs of customer's students
      GET
  • v1 · Own
    • Create account entry (payment/credit/debit)
      POST
    • Get customer by ID
      GET
  • v1 · Configuration
    • Provision tenant data / hooks
      POST
    • Poll initial backup queue
      GET
    • Queue initial customer backups
      POST
    • Delete tenant data directory
      POST
  • v2 · OAuth
    • Obtain OAuth2 access token
  • v2 · Public
    • List locations
    • List rooms of a location
    • Get studio email signature
    • List course styles (Kursgruppen)
    • Customer registration flow info
    • Register a new customer (end-user)
    • Submit contract revocation request (Widerruf)
    • Submit contract quit request (Kündigung)
    • Appointment flow info
    • Create trial-class appointment
    • Validate email address
    • Validate email address with check level
    • CourseFinder flow info
    • List CourseFinder age groups
    • List CourseFinder styles for age
    • List CourseFinder levels
    • List CourseFinder lessons
    • List available trial dates for a lesson
  • v2 · Own
    • List customers
      GET
    • Get customer detail
      GET
    • Get customer CRM view
      GET
    • List students
      GET
    • Get student detail
      GET
    • Create account entry
      POST
    • Delete account entry
      DELETE
    • List CourseFinder leads
      GET
  • Schemas
    • V1Response
    • V1Course
    • V1CourseSchedule
    • V1Event
    • V1NextCourse
    • V1UserRegisterRequest
    • V1CustLoginRequest
    • V1CustPasswordRequest
    • V1ConfSetupRequest
    • V1CustomerUser
    • V1CustomerBrief
    • V1AccountCreateRequest
    • GatewayError
    • RateLimitError
    • V2SuccessEnvelope
    • V2ErrorEnvelope
    • PluginInfo
    • V2Location
    • V2Room
    • V2LocationsResponse
    • V2RoomsResponse
    • V2CourseStyle
    • V2CustomerRegisterRequest
    • V2CustomerRegisterData
    • V2ContractRevokeRequest
    • V2ContractQuitRequest
    • V2AppointmentCreateRequest
    • V2AppointmentCreatedResponse
    • V2MailCheckData
    • CfAge
    • CfStyle
    • CfLevel
    • CfLesson
    • CfLead
    • V2OwnStudentBasic
    • V2OwnCustomerListItem
    • V2OwnCustomerDetail
    • V2OwnStudentDetail
    • V2OwnStudentListItem
    • V2OwnCustomerCrm
    • V2OwnContract
    • V2OwnWaitlist
    • V2OwnTrialLesson
    • V2AccountCreateRequest
    • V2AccountCreateData
    • OAuthTokenRequest
    • OAuthTokenResponse
    • OAuthTokenError
  1. v2 · Own

List customers

GET
https://api.studiointern.de/{customer_shortname}/v2/own/customer
Last modified:2026-07-24 11:38:00
Maintainer:Not configured
Requires X-Api-Key and Authorization: Bearer <access_token> from /v2/oauth/token. Endpoint role checks are tenant-specific.
Optional filter status (cu|ap|fo|all, default all) and pagination via per_page.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
🟠401
🟠403
🟠404
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.studiointern.de//v2/own/customer?status=&per_page=' \
--header 'X-Api-Key: <api-key>' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "code": 0,
    "locale": "de",
    "message": "string",
    "data": [
        {
            "id": 0,
            "salutation": "string",
            "title": "string",
            "first_name": "string",
            "last_name": "string",
            "email": "string",
            "phone": "string",
            "mobile": "string",
            "state": "string",
            "created_at": "string",
            "updated_at": "string",
            "updated_by": "string",
            "students": [
                {
                    "id": 0,
                    "first_name": "string",
                    "last_name": "string",
                    "birthday": "string",
                    "email": "string"
                }
            ]
        }
    ],
    "links": {},
    "meta": {}
}
Modified at 2026-07-24 11:38:00
Previous
List available trial dates for a lesson
Next
Get customer detail
Built with